[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellTreeView.DoCreateNodeClass

Performs actions needed to create a new tree node in the shell control.

## Declaration

Source position: shellctrls.pas line 104

`protected procedure TCustomShellTreeView.DoCreateNodeClass(`
`var NewNodeClass: TTreeNodeClass`
`); override;`

## Arguments

`NewNodeClass` |  | Class reference used to create tree nodes in the shell control.

## Description

DoCreateNodeClass is an overridden method used to perform actions needed to create a new tree node in the Items for the shell control. DoCreateNodeClass sets NewNodeClass to the TShellTreeNode class type used in TCustomShellTreeView. DoCreateNodeClass calls the inherited method using NewNodeClass as an argument.

## See also

TShellTreeNode |  | Represents tree nodes in TCustomShellTreeView / TShellTreeView.